﻿<!--
 *   Rogue Client Detector - Copyright 2015 Clement Lorteau
 * 
 *  This file is part of Rogue Client Detector.
 *
 *  Rogue Client Detector is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Rogue Client Detector is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Rogue Client Detector.  If not, see <http://www.gnu.org/licenses/>.
-->
    
    <Window x:Class="RCDGUI.TestWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        Title="Test" Height="400" Width="500" MinHeight="400" MinWidth="500"
        Background="{DynamicResource {x:Static SystemColors.ControlBrushKey}}"
        FontFamily="Segoe UI Light"
        Icon="/RCDGUI;component/Resources/app.ico">
    <Grid>
        <Grid Margin="10">
            <Grid.RowDefinitions>
                <RowDefinition Height="55"/>
                <RowDefinition Height="*"/>
            </Grid.RowDefinitions>
            <StackPanel Grid.Row="0">
                <Button HorizontalAlignment="Center" Padding="10, 3, 10, 3" Click="OK_Click">
                    <Button.Effect>
                        <DropShadowEffect Color="#FF858585" Opacity="0.5" ShadowDepth="3"/>
                    </Button.Effect> Go</Button>
                <TextBlock Margin="0,10,0,0" TextWrapping="Wrap">Monitoring events logged by the service. Click "Go" to manually trigger a detection.</TextBlock>
            </StackPanel>
            <ScrollViewer Grid.Row="1" HorizontalScrollBarVisibility="Auto" VerticalScrollBarVisibility="Auto" BorderBrush="Black" Background="White" >
                <TextBox Name="LogTextBlock" Background="White" FontFamily="Consolas" Text="{Binding Text, Mode=OneWay}" IsReadOnly="True" BorderBrush="{x:Null}"/>
            </ScrollViewer>
        </Grid>
    </Grid>
</Window>
